com.atlassian.clover.api.optimization

## Class OptimizationOptions.Builder

- java.lang.Object
- - com.atlassian.clover.api.optimization.OptimizationOptions.Builder

- Enclosing class:
    OptimizationOptions

      public static final class OptimizationOptions.Builder
      extends java.lang.Object

  Options for use with the clover `TestOptimizer` class. This class uses the Builder Pattern with a fluent style. For example, to configure the TestOptimizer to use a snapshot file in /tmp/clover.snapshot, and to not perform reordering, you would create an Options instance like so:

       Options options = new Options.Builder().snapshot(new File(".clover/clover.snapshot")).dontReorder().build();

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OptimizationOptions` | `build()`
    `OptimizationOptions.Builder` | `debug(boolean debug)`
    `OptimizationOptions.Builder` | `dontReorder()`
    `OptimizationOptions.Builder` | `enabled(boolean enabled)`
    `OptimizationOptions.Builder` | `initString(java.lang.String initString)`
    `OptimizationOptions.Builder` | `initStringAndSnapshotFrom(java.lang.String initString)`
    `OptimizationOptions.Builder` | `logger(com.atlassian.clover.Logger logger)`
    `OptimizationOptions.Builder` | `maxCompilesBeforeStaleSnapshot(int maxCompilesBeforeStaleSnapshot)`
    `OptimizationOptions.Builder` | `minimize(boolean minimize)`
    `OptimizationOptions.Builder` | `optimizableName(java.lang.String name)`
    `OptimizationOptions.Builder` | `reorder(OptimizationOptions.TestSortOrder reorder)`
    `OptimizationOptions.Builder` | `reorderFailfast()`
    `OptimizationOptions.Builder` | `reorderRandomly()`
    `OptimizationOptions.Builder` | `snapshot(java.io.File snapshot)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### snapshot

          public OptimizationOptions.Builder snapshot(java.io.File snapshot)

    - #### initString

          public OptimizationOptions.Builder initString(java.lang.String initString)

    - #### initStringAndSnapshotFrom

          public OptimizationOptions.Builder initStringAndSnapshotFrom(java.lang.String initString)

    - #### optimizableName

          public OptimizationOptions.Builder optimizableName(java.lang.String name)

    - #### logger

          public OptimizationOptions.Builder logger(com.atlassian.clover.Logger logger)

    - #### enabled

          public OptimizationOptions.Builder enabled(boolean enabled)

    - #### minimize

          public OptimizationOptions.Builder minimize(boolean minimize)

    - #### reorderFailfast

          public OptimizationOptions.Builder reorderFailfast()

    - #### dontReorder

          public OptimizationOptions.Builder dontReorder()

    - #### reorderRandomly

          public OptimizationOptions.Builder reorderRandomly()

    - #### reorder

          public OptimizationOptions.Builder reorder(OptimizationOptions.TestSortOrder reorder)

    - #### debug

          public OptimizationOptions.Builder debug(boolean debug)

    - #### maxCompilesBeforeStaleSnapshot

          public OptimizationOptions.Builder maxCompilesBeforeStaleSnapshot(int maxCompilesBeforeStaleSnapshot)

    - #### build

          public OptimizationOptions build()